#include "BaseScreen.h"
#include "GraphicsSystem.h"
#include "ScreenManager.h" // enums

BaseScreen::BaseScreen()
{
}


BaseScreen::~BaseScreen()
{
}

void BaseScreen::DrawTextsOnScreen(std::vector<const char*>& textsRef, FontSize fontSize, float startPosY, float marginToNext)
{		
	for (std::vector<const char*>::iterator i = textsRef.begin(); i != textsRef.end(); i++)
	{
		GraphicsSystem::GetSingleton()->DrawTextOntoScreenBuffer(*i, (float) startPosY, CENTER, BLUE_TEXT_R_VALUE, BLUE_TEXT_G_VALUE, BLUE_TEXT_B_VALUE, fontSize, 1.0f);
		startPosY+=marginToNext;
	}
}
