#pragma once //microsoft-specific

#include "BaseScreen.h"

class FadingText; // forward declaration to speed up compilation

/**
* Class that represents a screen with a standard fading text at the bottom. 
* It lacks other content and is abstract due to inheritance. 
* Usage: Extend further and add your own content.
*/
class FadingTextScreen :
	public BaseScreen
{
public:
								FadingTextScreen();
	virtual 					~FadingTextScreen();

protected:
	void 						DrawFadingText();

private:
	FadingText* 				m_pressAnyKeyFadingText;
};

