#pragma once //microsoft-specific

/** 
 * Class represents a timer. 
 * It can set and return the elapsedTime since last function call.
 * Has a function that waits a specified number of seconds.
 * Also sets seeding for random function in its constructor.
 **/
class Timer
{
public:
	// Seeds random with current time
								Timer();
								~Timer();
	void						WaitSeconds(const float secs);
	float						SetNewTimerAndGetElapsedTime();

private:
	float						m_lastTimeMark;	
};
