#include "BaseState.h"

BaseState::BaseState(StateKey& stateKey, Timer& timerRef):
m_timerRef(timerRef)
{
	m_stateKey = stateKey;
}

BaseState::~BaseState()
{
}

StateKey BaseState::GetStateKey() const
{
	return m_stateKey;
}

void BaseState::BeginState()
{
}

void BaseState::EndState()
{
}

StateKey BaseState::DesiredStateChange() const
{
	return STATE_NONE;
}

