#pragma once //microsoft-specific

#include "FadingTextScreen.h"
#include <vector>

class ImageSprite; // forward declaration to speed up compilation

/**
* Shows the customized instruction screen
*/
class InstructionScreen :
	public FadingTextScreen
{
public:
								InstructionScreen();
								~InstructionScreen();
	void						Draw();

private:

	// Avoid assign of this class, it should not be used in that way
	InstructionScreen&			operator=(const InstructionScreen& );

	ImageSprite&				m_keysImgSpriteRef;
	ImageSprite&				m_lifeUiImgSpriteRef;
	ImageSprite&				m_lifeGameImgSpriteRef;
	std::vector<const char*>	m_texts;
	std::vector<const char*>	m_header;
};

