#pragma once //microsoft-specific

#include "BaseScreen.h"

class ImageSprite; // forward declaration to speed up compilation

/**
* Customized screen that shows the logo of the game on draw
*/
class LogoScreen :
	public BaseScreen
{
public:
								LogoScreen();
								~LogoScreen();
	void 						Draw();

private:

	// Avoid assign of this class, it should not be used in that way
	LogoScreen&					operator=(const LogoScreen& );

	ImageSprite&				m_logoImgSpriteRef;
};

