#pragma once //microsoft-specific

#include "BaseScreen.h"

class ImageSprite; // forward declaration to speed up compilation

/**
* Customized screen that shows the menu
*/
class MenuScreen :
	public BaseScreen
{
public:
								MenuScreen();
								~MenuScreen();
	void 						Draw();

private:

	// Avoid assign of this class, it should not be used in that way
	MenuScreen&					operator=(const MenuScreen& );

	ImageSprite&				m_logoImgSpriteRef;
	ImageSprite&				m_menuImgSpriteRef;
};

